org.scalatest.prop

# Configuration

#### object Configuration extends Configuration

Companion object that facilitates the importing of `Configuration` members as an alternative to mixing it in. One use case is to import `Configuration` members so you can use them in the Scala interpreter.

Linear Supertypes
Configuration, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. Configuration
2. Configuration
3. AnyRef
4. Any

Visibility

1. Public
2. All

### Type Members

1. #### case class MaxDiscarded (value: Int) extends PropertyCheckConfigParam with Product with Serializable

   A `PropertyCheckConfigParam` that specifies the maximum number of discarded property evaluations allowed during property evaluation.

2. #### case class MaxSize (value: Int) extends PropertyCheckConfigParam with Product with Serializable

   A `PropertyCheckConfigParam` that specifies the maximum size parameter to provide to ScalaCheck, which it will use when generating objects for which size matters (such as strings or lists).

3. #### case class MinSize (value: Int) extends PropertyCheckConfigParam with Product with Serializable

   A `PropertyCheckConfigParam` that specifies the minimum size parameter to provide to ScalaCheck, which it will use when generating objects for which size matters (such as strings or lists).

4. #### case class MinSuccessful (value: Int) extends PropertyCheckConfigParam with Product with Serializable

   A `PropertyCheckConfigParam` that specifies the minimum number of successful property evaluations required for the property to pass.

5. #### case class PropertyCheckConfig (minSuccessful: Int, maxDiscarded: Int, minSize: Int, maxSize: Int, workers: Int) extends Product with Serializable

   Configuration object for property checks.

6. #### class PropertyCheckConfigParam extends AnyRef

   Abstract class defining a family of configuration parameters for property checks.

7. #### case class Workers (value: Int) extends PropertyCheckConfigParam with Product with Serializable

   A `PropertyCheckConfigParam` that specifies the number of worker threads to use when evaluating a property.

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

8. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

9. #### def equals (arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

11. #### implicit val generatorDrivenConfig : PropertyCheckConfig

    Implicit `PropertyCheckConfig` value providing default configuration values.

    Implicit `PropertyCheckConfig` value providing default configuration values.

    Attributes
      implicit
    Definition Classes
      Configuration

12. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

13. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

14. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

15. #### def maxDiscarded (value: Int): MaxDiscarded

    Returns a `MaxDiscarded` property check configuration parameter containing the passed value, which specifies the maximum number of discarded property evaluations allowed during property evaluation.

    Returns a `MaxDiscarded` property check configuration parameter containing the passed value, which specifies the maximum number of discarded property evaluations allowed during property evaluation.

    Definition Classes
      Configuration

16. #### def maxSize (value: Int): MaxSize

    Returns a `MaxSize` property check configuration parameter containing the passed value, which specifies the maximum size parameter to provide to ScalaCheck, which it will use when generating objects for which size matters (such as strings or lists).

    Returns a `MaxSize` property check configuration parameter containing the passed value, which specifies the maximum size parameter to provide to ScalaCheck, which it will use when generating objects for which size matters (such as strings or lists).

    Note that the maximum size should be greater than or equal to the minimum size. This requirement is enforced by the `PropertyCheckConfig` constructor and the `forAll` methods of traits `PropertyChecks` and `Checkers`. In other words, it is enforced at the point both a maximum and minimum size are provided together.

    Definition Classes
      Configuration

17. #### def minSize (value: Int): MinSize

    Returns a `MinSize` property check configuration parameter containing the passed value, which specifies the minimum size parameter to provide to ScalaCheck, which it will use when generating objects for which size matters (such as strings or lists).

    Returns a `MinSize` property check configuration parameter containing the passed value, which specifies the minimum size parameter to provide to ScalaCheck, which it will use when generating objects for which size matters (such as strings or lists).

    Definition Classes
      Configuration

18. #### def minSuccessful (value: Int): MinSuccessful

    Returns a `MinSuccessful` property check configuration parameter containing the passed value, which specifies the minimum number of successful property evaluations required for the property to pass.

    Returns a `MinSuccessful` property check configuration parameter containing the passed value, which specifies the minimum number of successful property evaluations required for the property to pass.

    Definition Classes
      Configuration

19. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

20. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

21. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

22. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

23. #### def toString (): String

    Definition Classes
      AnyRef → Any

24. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

25. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

26. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

27. #### def workers (value: Int): Workers

    Returns a `Workers` property check configuration parameter containing the passed value, which specifies the number of worker threads to use when evaluating a property.

    Returns a `Workers` property check configuration parameter containing the passed value, which specifies the number of worker threads to use when evaluating a property.

    Definition Classes
      Configuration

### Inherited from Configuration

### Inherited from AnyRef

### Inherited from Any